Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ListLayoutContainer

    public interface ListLayoutContainer

Represents an ordered collection of `ListLayout`'s

Method Summary
`ListLayout` | `append()` Adds a new empty `ListLayout` to the end of this `ListLayoutContainer`
`ListLayout` | `get(int p_location)` Returns the `ListLayout` at the specified location
`boolean` | `isEmpty()` Indicates if this `ListLayoutContainer` is empty
`java.util.Iterator<ListLayout>` | `iterator()` Returns an iterator over the `ListLayout`'s of this `ListLayoutContainer`
`ListLayout` | `remove()` Removes the last `ListLayout` from this `ListLayoutContainer`
`int` | `size()` Returns the size of this `ListLayoutContainer`

Method Detail

### isEmpty

    boolean isEmpty()

  Indicates if this `ListLayoutContainer` is empty

  Returns:
    true if this `ListLayoutContainer` is empty, false otherwise

### size

    int size()

  Returns the size of this `ListLayoutContainer`

  Returns:
    the size of this `ListLayoutContainer`

### iterator

    java.util.Iterator<ListLayout> iterator()

  Returns an iterator over the `ListLayout`'s of this `ListLayoutContainer`

  Note: Remove is not supported by the iterator

  Returns:
    an iterator over the `ListLayout`'s of this `ListLayoutContainer`

### get

    ListLayout get(int p_location)

  Returns the `ListLayout` at the specified location

  Parameters:
    `p_location` - The location of the `ListLayout` to fetch
  Returns:
    the `ListLayout` at the specified location
  Throws:
    `java.lang.IndexOutOfBoundsException` - if an invalid location is specified

### append

    ListLayout append()

  Adds a new empty `ListLayout` to the end of this `ListLayoutContainer`

  Returns:
    the created `ListLayout`

### remove

    ListLayout remove()

  Removes the last `ListLayout` from this `ListLayoutContainer`

  Returns:
    the removed `ListLayout`
  Throws:
    `NoSuchElementException` - If this `ListLayoutContainer` is empty

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD